org.eclipse.wst.jsdt.js.cli.core

## Class CLIStatus

- java.lang.Object
- - Status
  - - org.eclipse.wst.jsdt.js.cli.core.CLIStatus

    public class CLIStatus
    extends Status

### Constructor Summary

Constructors
Constructor and Description
`CLIStatus(int severity, java.lang.String pluginId, int code, java.lang.String message, java.lang.Throwable exception)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IProject` `getProject()`
`void` `setProject(IProject project)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLIStatus

    public CLIStatus(int severity,
                     java.lang.String pluginId,
                     int code,
                     java.lang.String message,
                     java.lang.Throwable exception)

### Method Detail

#### getProject

    public IProject getProject()

#### setProject

    public void setProject(IProject project)